Subject: Re: bug#18886: 24.4; M-v no longer works in CUA-mode.

From: Stefan Monnier <[email-masked]>
Date: Wed, 29 Oct 2014 20:47:18 -0400

Hi Kim,

Nice to hear from you again.

> I have just upgraded from 23.? to 24.4, and found that two (for me)
> essential features of cua-mode no longer works:

Hmm.. indeed these have been lost in the move to delsel.el.

> Since the basic functionality has now been split from cua-mode,
> I think that those functions belongs in delsel (if anywhere).

That's right.

> Of course, the M-v binding should still only be active in cua-mode
> (since cua-mode takes over C-v it can also use M-v).

delsel.el can provide the command, and then cua-mode can bind it to M-v.

> I guess the functionality could be restored by suitable tweaking of
> the region-extract-function -- I will look into that possibility.

I think extending delsel.el directly will be easier.

        Stefan